MobiMB Help

Mobile Phone Connection Manager

The connection manager handles all the connections between the PC and your mobile phone.

You can connect to your phone using a variety of methods (the connection type you need will depend on your phone and the capabilities of your system):

  • Infrared
  • Serial data cable
  • USB data cable
  • Bluetooth (Microsoft/XP SP2 or Widcomm v1.4 or later)

How to configure the connection


Configuring the connection

Configuration

Before the application can connect to the phone, you need to configure the connection. This can usually be done from the File or Tools menu item in the application.

Connection configuration window

If the connection is not already configured, normally you will need to add a new connection the first time you connect.

  1. Double-click the Add connection icon, and select the connection type you require
  2. Data cables require you to set the serial (COM) port for the device. You can do this by double-clicking the connection item in the list.
  3. Attach the phone using the cable, or activate Infrared or Bluetooth from the menus in the phone. If your system drivers are correctly configured, the phone should be detected in the Active Devices box.
  4. Click OK to return to the application

If the device does not detect, click on the relevant section below to find out more about configuring your PC to allow connections to the phone.

  • Serial cable
  • Infrared
  • Bluetooth


Serial Port Connections

Connecting using a Serial Cable

Serial data cables and USB cables connect to the phone via the Windows serial port drivers. You need to make sure that the port drivers are installed for your hardware and that the hardware is enabled.

The serial ports installed on your system can be found in the Windows Hardware Device Manager (to get to the Device Manager, open the System in the Control Panel.

Usually the serial port will be COM1 or occasionally COM2. If you are using a USB cable, you instead need to install the USB driver for your hardware (available from the manufacturer, or on the driver disk that came with the cable). The USB driver will usually install a virtual serial port, on (for example) COM5 or COM6. Check the device manager to find out the correct port to use when configuring your connection.

It is essential that the serial port is not being used by other software, or that the interrupt used in the port is not being shared by another port while it is in use. Common problems:

  1. Port is being used by digital camera drivers, an external modem, a serial mouse, by a serial infrared device or by other hardware devices that attach to the same port. You must disable or remove the drivers and restart the system.
  2. Port is being used by another application, for example phone or PDA connectivity software. You must ensure that the applications are configured only to open the port when needed.
  3. Port is sharing an interrupt with another port. Most commonly, this is a problem with internal modems, where the serial port is allocated to COM1 and the modem to COM3. You must move the modem to another port (eg. COM4) and restart the machine.
  4. Some Windows XP serial drivers do not function correctly on new systems. Serial port problems can frequently be resolved by deleting the port driver in the Device Manager and restarting the machine
    5. .


Serial Port Connections

Connecting using Infrared

Modern phones that contain infrared capability communicate with other devices using the IrDA protocol. In order to connect to an IrDA phone, you need to have a suitable infrared adapter on your PC, and the standard Microsoft IrDA driver components installed.

Recent versions of Windows contain built-in drivers for a range of infrared adapters. Some may require you to install a separate driver before attaching the device. Please follow carefully the instructions provided with your infrared hardware when installing a new infrared device on your PC.

Infrared phones do not broadcast all the time, in order to preserve the battery in the phone. When your infrared device is installed, you need to activate infrared from the menu in the phone. When the phone is detected by Windows, an icon should appear in the Windows taskbar on the bottom-right of the screen, identifying the type of device that has been detected.

The first time you connect a phone, Windows Plug & Play may recognise the modem capability in the phone. Installation of the modem drivers is optional - these will be required if you wish to use the mobile phone for Dialup access. You can disable the Plug & Play option in the Infrared Control Panel settings, or you can download and install the modem drivers from your phone manufacturer's web site. You need to do one of the above before attempting a software connection to the phone.

  • What to do if the connection is unreliable
  • What to do if you get no connection


Serial Port Connections

Intermittent Connections?

For your software to communicate with the phone via infrared, it is very important to have a reliable infrared connection, especially if you are transferring large quantities of data to or from the device. The following tips may help you to improve your connection:

Check that no other software is hogging the infrared port

Infrared ports can generally only handle one connection at a time, and properly designed infrared connectivity software should only open a connection when you start the associated application. However, some software (including PC Suite) activates at Windows startup and actively scans and uses up resources irrespective of whether you are using the application. You should ensure that no other software is configured to scan for connections by examining the options in the system tray, or by preventing it from starting automatically.

Check that the maximum connection speed is within limits

The infrared application in the Windows Control Panel gives the option to set the maximum connection speed. Make sure this is set to at least 115200. If you are having reliability problems at this speed then reduce it to 57600. If the speed is set too low then this may impair the phone's ability to send large blocks of data.

Check that the phone is connecting at the correct speed

Even if you have set the maximum speed, the device may still not connect at this speed. This could occur if your device cannot operate at this speed, or if other factors were affecting the reliability of the connection.

Note that some recent Nokia phones have problems connecting to certain high-speed infrared adapters. If this occurs, then the maximum connection speed in the infrared drivers should not be set any higher than 115200.

Ensure that no other devices are affecting the infrared ports

Make sure that the windows of the infrared ports on both the phone and the PC are clean, and that there is a clear path between the devices. Keep the devices about 15cm (6in) apart. Also ensure that no other infrared devices are in range and that the devices are kept away from any bright light sources.


No connection?

If you have activated infrared on the phone, but either Windows or your mobile phone software cannot find the device, then this could indicate a problem with your driver installation.

Try removing any infrared components in the Control Panel's Add/remove Programs and also remove any infrared components from the Hardware Device Manager's Infrared, Ports and Network lists.

Once you have removed all the drivers, restart the machine, and install the latest drivers from your manufacturer, taking care to follow exactly the sequence outlined in the manufacturer's user guide. Note that some devices require you to install the drivers before connecting the device to the machine.

Is the phone being detected by Windows?

If the phone is not being detected by Windows then this indicates a problem with your driver installation. The device needs to be detected by the Windows IR monitor before any software components will be able to connect. If the phone is transmitting, and you are unable to get feedback from the Windows drivers having followed the instructions above, then please contact your hardware manufacturer.

The phone is detected by Windows, but is not listed in the Mobile Phone Connection Manager

Check that your phone is supported by the software. More recent models may not be recognised by the connection manager; the connection manager will only list phones for which it hat been designed.

The icon in the Windows task bar should tell you if a connection is being attempted (it will say that a connection is active, and the speed). If this is occurring, but the phone is not listed, then read the intermittent connections help article.

If the phone is listed, but you are having a problem with the application you are using, then please refer to the help file specific to the application.


Bluetooth Connections

Bluetooth is a relatively new technology, and the types of drivers for this are dependent on your hardware provider. The connection manager supports Microsoft's drivers for Windows XP SP2, and also Widcomm v1.4 or later. Other types of drivers may not may not be suitable for connection to your mobile phone, or they may provide alternative mechanisms for accessing services on your phone which can be used by this software.

Before you can connect to a device, you may need to pair the phone with the PC using the Wireless options in the Windows Control Panel, or using your Bluetooth software's own options. The below instructions apply to the Nokia 6310i, but a similar procedure will also apply to other phones (see your user guide for more details). In many cases the discovery procedure and pairing will be requested automatically by the connection manager, so all you will need to do is make the phone discoverable and follow the on-screen instructions.

  1. Activate Bluetooth in the Mobile Phone so that the phone can be discovered and can accept incoming connections
  2. On the PC, go to Control Panel->Wireless and select the Bluetooth tab
  3. If your phone is not already listed, then click 'Add' to add the device
  4. Follow the instructions in the Wizard to locate and authenticate the phone. You need to supply a numeric key which will be requested on the mobile phone during authentication.
  5. The phone should now be remembered by Windows. It should now be possible to connect using the Mobile Phone Connection Manager
  6. During connection, the phone may ask you to confirm the incoming connection. You can optionally disable this in the pairing settings in the phone.

The connection manager will automatically connect to any mobile phones it knows about. If you do not wish the software to communicate with certain devices, double-click the Bluetooth connection to view the Bluetooth options. Known devices are listed and can be selected or deselected as needed.